Introduction

WebCompiler 2 is a very powerful HTML compiler. It takes a group of HTML pages (a website) and transforms them into a single executable file. The file is a stand-alone entity, it requires nothing else to enable an end-user to run it. (Although the user must have Internet Explorer 4 or above on his system, but it need not be the default browser). The HTML and graphics are highly compressed to give the smallest possible output file. They are also encrypted to prevent end-users accessing the source HTML.

Ideal for distributing product brochures, sample websites and all manner of other information in a compact, secure way.

Please read the Getting Started page in this Help File.

WebCompiler 2 is designed to be easy to use. Descriptions of all the possible options are available in the WebCompiler 2 Project Manager itself, right alongside where you actually choose the options, making it simple to use.

You can access this Help File later from the WebCompiler 2 Program Group in your Start Menu, or from the Help Menu in the WebCompiler 2 program itself.

WebCompiler 2 has the following major features.

Support for all modern HTML | WebCompiler presentations re-use the Internet Explorer browser (V4 or above) that is on the end-users system, so with a few minor exceptions support any HTML that IE itself can.
Command Line Compiler | You can actually run the compiler from the command line, or a batch file, or call it from a program of your own. It can be implemented as part of an e-commerce solution where compilation occurs as part of an e-commerce transaction. Compiler Options can be changed for each compilation by simply modifying the plain text file that they are contained in.
Dual-key cryptography | WebCompiler presentations support forms, but there has to be some way of getting the data the end user enters back to the presentation creator securely. WebCompiler 2 (optionally) uses industry standard dual key cryptography with 128 bit keys making the transmission of sensitive information by e-mail just as secure as a secure web site.
Password Protection | You can protect individual pages of your presentation, or complete directories, and require that access needs a username and password combination. This combination can be the same for all users, or different username/password combinations can be used for different users.
Built-in Installer | Once you have your presentation in the end user's hands it would be nice to be able to install it on his system. WebCompiler 2 has it's own built-in installer that you can call from a page in your presentation, which will install your presentation, provide icons for it in both the Start menu and the Desktop, and also provide an uninstaller to allow the user to easily uninstall your presenatation should he wish to.
Autorun File Generation | WebCompiler 2 can optionally write an autorun file that will cause your presentation to execute automatically from a CD as soon as it is inserted (assuming the end-user hasn't disabled that capability on his system).
Source File Protection | It is not possible to view the source HTML. The source HTML is NEVER copied to disk or placed in the browser's cache. (If you are looking at alternatives make sure they don't just copy all the HTML to a temporary folder and delete it when they have finished, very insecure!).
Feedback Capability | WebCompiler2 fully supports Forms. The results of data entered into those forms can be e-mailed back to the presentation creator (securely if encryption is selected).
Powerful Searching | WebCompiler 2 presentations can optionally include very powerful searching capabilities. Searching for occurences of a word across 1,000 HTML pages can usually be achieved in under a second on a P2/400. The results of the searches can be presented to the user using a user-defined page that will maintain the look and feel of your presentation.
Kiosk Mode | Kiosk Mode is removes all the user interface controls and makes it impossible to break out of on Win9x systems. Ideal for point-of-sale use or in other public places.
Interface Control | Almost all aspects of the look of the interface can be controlled, from Windows sizing through to the presence or absence of user interface controls such as menus and toolbars.
Expiration Options | Presentations can be date-limited, and you can specify a particular page to be shown after the date has expired, presumably to advise the user how to get a newer version.
Runtime Caching | Accessing multiple separate items such as an HTML page and all the graphics etc. that it references can take a long time on a slowish device like a CD. WebCompielr 2 has sophisticated caching built-in to speed up page loading significantly.
Foreign Language Support | The interface of your presentation can easily be translated into languages other than English
Branding | You can specify your own Icon to use for your presentation. This icon will also be used by the built-in installer and therefore appear on the user's desktop and in his Start Menu if you choose to use use it.
System Locking | The userid and password that you supply for protected parts of your presentation can be locked to a particular system, protecting your intellectual property.


Getting Started

WebCompiler - Getting Started

WebCompiler 2 comes as three separate components. You can start each of them from your Start Menu as required.

The WebCompiler 2 Project Manager is where you set the Compiler Options for your presentation, including things like where the HTML you want to compile is, what you want to call the output file and various other options. You then select the Compile command to cause your presentation to be compiled which will result in an .exe file.

All the documentation you need regarding the various Compiler Options is right there in the Project Manager itself in a documentation pane at the right of the option selection panel. You can turn the documentation panel off after you become expert!

The WebCompiler2 Password Generator allows you to generate passwords for protected areas of your presentation. You can protect individual pages or complete directories using settings in the Project Manager. Using the Password Generator you can then generate different passwords for different usernames (or of course you could give the same username to everybody if you wanted to).

The WebCompiler 2 Feedback Decryptor allows you to decrypt data that has been sent back to you by end users via WebCompiler 2's feedback mechanism. The data a user sends back does not have to be encrypted, it is a compiler option. If it is enrypted then it uses dual-key cryptography with 128 bit keys (pretty much the same as web sites) which is ideal for securing things like credit card details etc.

A Step by step to creating your first presentation.

Creating a presentation is easy. Let's assume you have some HTML on your hard drive that you want to compile, do the following.

  1. Start the WebCompiler 2 Project Manager from your Start Menu

  2. At the left side, under Project Options, open up the General subsection by clicking on the small + sign to the left.

  3. Open the Input and Output subsection by clicking the the small + to the left of that.

  4. Click on the word None that is shown next to the HomePage: item, and select the HTML page you want to be the start page for your presentation.

  5. Click on the word None that is shown next to the Output File: item, and select where you want to save your output presentation and what you want to call it.

  6. Click the Compile button on the toolbar. Because you have not previously saved the options for this project you will be offered a normal Windows file save dialog. You should select somewhere to keep the definitions for this project for fture use (probably NOT in the directory where your HTML is, you probably want to create a separate directory and keep all of your projects in it).

  7. WebCompiler will then take a little while to generate a dual-key cryptography key-pair (it only does this once per project) and will then proceed to compile your presentation. Click Close once the Compile Progress dialog shows the status as Compiled. That's it. Your presentation is compiled and ready to distribute.

  8. You can test it simply by clicking the Run button on the toolbar.

At this point you will probably want to review all the other Compiler Options that you can set. Probably the easiest way is to select each option in turn in the Project Manager and look at the documentation pane at the right for an explanation. Also review the rest of this Help File for details of the more advanced features, such as the security, feedback, searching, cryptography and the built-in-installer that WebCompiler 2 has.


Key things you should know

WebCompiler 2 - Key things you should know

Here are some important things you should know about WebCompiler 2.

What is supported and what isn't?

That's actually a very difficult thing to answer. WebCompiler 2 wraps the Internet Explorer browser, V4 and above. As such it should be able to deal with almost everything that Internet Explorer can. There are however some things that won't/can't work, often because the data is not on a "real server". We often can't give you a direct answer to whether something is going to work or not because we won't have tried it. In particular there are thousands of different plug-ins around, and new ones are being invented all the time. There are also often a lot of different ways of using a plug-in, and some things may work and some things not. In general the best thing to do is try it. There are however some things that definitely will and won't work.

  • JAVA APPLETS will not work. Note this applies to JAVA APPLETS, not Javascript, which will mostly work fine. JAVA APPLETS and JavaScript are two different things.

  • ACTIVEX Controls and other plugins will probably work fine as long as they access their data using standard protocols which most do (and don't try to read direct from disk for example). Some don't however and there isn't anything we can do with those. Bear in mind though that the end user will need the ACTIVEX control installed on his machine already, WebCompiler doesn't have it built in (that would be unfeasible, there are thousands of ActiveX controls, it couldn't carry them all about!).

WebCompiler doesn't check for referenced files.

If there are files in your directory structure that are not actually used, WebCompiler 2 will still include them in your final presentation. Your final presentation could therefore be larger than it needs to be. WebCompiler 2 has no way of knowing that the files are not used with complete certainty, as there are so many obscure ways that the files could be referenced (using variables from JavaScript for example).

Compile Time Caching

WebCompiler 2 has a lot of processing to do, particularly if you enable the searching capability, as it then has to analyze each HTML page as it compiles it and build string dictionaries containing every word. This takes time. To save time on second and subsequent compilations it checks to see if the page it is about to compile has changed since the last compile, and if not it reuses the saved results from the previous compilation, so second and subsequent compilations will be much quicker. If you want to ensure that WebCompiler processes everything afresh rather than reusing cached results use the Build command from the File Menu.


File Menu

New

Starts a new project

Open

Opens an existing project.

ReOpen

Lists the most recently used projects so you can open them quickly.

Save

Saves the current project.

Save As

Saves the current project to a new file.

Save As Default

Saves the current Compiler Option settings as the default to be used for new projects.

Compile

Compiles the current project, reusing results from previous compilations (if any) for speed.

Build

Clears the local cache before compiling.

Run

Runs the most recently compiled project.

Close

Exits the Project Manager.


Tools Menu

Documentation Pane

Displays the right hand pane containing instructions on the use of the current group of compiler options.

Show Hints

Switches on/off the popup hints that appear when you pass the mouse over toolbar buttons etc.

Icons, List, Details

Switches the mode of display of the File System displays at the bottom of the Directories and Protected Items tabs.


Help Menu

Help Contents

Accesses this Help File

Getting Support

Launces your browser and visits the X2Net Support Forum

Tip of the Day

Enables or disables the display of tips about using the program

Order

Accesses the on-line ordering web site.

X2Net on the Web...

Launches your browser and visits the X2Net home page on the Web

About

Displays program information.


The Toolbar Buttons

The toolbar buttons give quick access to some of the more common commands. In order, the toolbar buttons are -

New Project: See the File Menu

Open Project: See the File Menu

Save Project: See the File Menu

Compile: See the File Menu

Run: See the File Menu

Help: See the Help Menu


Including non-HTML Documetns

Including non-HTML Documents

If you include non-HTML type documents, such as Word Documents PDF documents, or executable files (.exe's) such as installers etc. then any link to them will cause the embedded IE browser to perform its normal action. For PDF and DOC files for example it will normally attempt to open them inside the browser window itself.

You can alternatively request that the files are extracted and run externally in their native application. For each file type that you want to run externally specify the extension (including the leading .) in the Functionality/External Launching section of the Project Manager. Specify as many extensions as you need, separating each by a ; semicolon. For example, to specify that Word and PDF documents and EXE files are run externally specify -

pdf;doc;exe

The files will be extracted to the users temporary directory and the appropriate application launched.

This does however present the problem of when and if to delete the files, because there is no guarantee in which order the user will close the WebCompiled presentation and the external programs. If the external program is closed before the WebCompiled presentation then there is little problem, the WebCompiled presentation will spot the external program terminating and will delete the file. If however the user closes the WebCompiled presentation while one of the external programs is still running the external file cannot be deleted at that point. In these circumstances Windows is instructed to delete the file at the next reboot.


Presentation command line parameters

You can pass a command line parameter to your compiled presentation, containing the relative filename of the page you want to start with. This overrides the start page as specified in the Project Manager for this execution of the presentation.

The page specified in the parameter is assumed to be relative to the home page specified in the Project Manager. For example if your presentation is called xxx.exe and had a home page of c:\web\index.htm specified in the Project Manager then using the command line -

xxx.exe alternate.htm

would cause the first page displayed to be the c:\web\alternate.htm page.


Overview

In order to extend the capability of your presentation we have added a number of extensions to JavaScript to allow you to perform tasks you would not otherwise have been able to do. The extensions are listed below. If you have suggestions for further extensions please let us know.

The extensions have been implemented as JavaScript "external" commands. In general they are accessed by calling a JavaScript function of the form javascript:window.external.xxxxxx; where xxxxxx is the new command you want. Some additional commands also require parameters, and in that case the parameters will be detailed in the description of the command.

There are a number of ways you can create your HTML in order to call these functions. In the simplest form you can simply make the additional command the target of a link, like this -

<A href="javascript:window.external.xxxxxx;">Click here to run the new xxxxxx command</A>

or you could define a function in a script and then execute it from a button, coding your HTML something like

<HTML>
<HEAD>
<SCRIPT>
function runcommandxxxxxx()
{
window.external.xxxxxx;
}
</SCRIPT>
</HEAD>
<BODY>
Click the button to run the new xxxxxx command:
<P>
<input type=button value="Install This Application" onClick="runcommandxxxxxx()">
</BODY>
</HTML>

See the next topic for a list of available extensions.


The Extensions

window.external.wcexit;

Causes the presentation to close. Whilst this is similar to the standard JavaScript window.close(); command this guarantees that you won't get a confirmation message.

window.external.wcinstall;

Webcompiled presentations include a built-in end-user Installer which you can optionally enable. The installer copies the presentation to the user's hard drive (exact location selected by the user) and adds an Icon to the desktop, and an Icon and an Uninstall Icon to the Start Menu.

window.external.wcshortcut;

This is similar to the wcinstall command (above) except it does not copy the file to the user's hard drive, it just adds an Icon to the desktop, and an Icon and an Uninstall Icon to the Start Menu. The Icon points to the original file location, which may be useful if you have a large presentation on a CD or DVD or similar and want to give the user an icon to run it, while leaving it on the CD/DVD.

window.external.executesearch("search terms");

This allows you to call the search engine direct from your HTML pages. In this way you could emulate for example the search engines on the Internet, like Google etc. The internal search engine searches for the term(s) passed in the parameters. For examples of how you might use this see the internal search engine topic.

window.external.wcsystemcode;

This function returns the unique system identifier of the system the presentation is running on. You would probably use it in some JavaScript that provided a means for the end-user to order your product. If you just wanted to display it in a dialog box you could use a link something like javascript:alert(window.external.wcsystemcode);

window.external.wcaddtofavorites;

Adds the current page to the favorites list. This can be useful if using clean-screen mode.

window.external.wcfavorites;

Displays the favorites panel at the left side. This can be useful if using clean-screen mode.

window.external.wchistory;

Displays the history panel at the left side. This can be useful if using clean-screen mode.

window.external.wcsearch;

Displays the search panel at the left side. This can be useful if using clean-screen mode.

window.external.wcclearfavorites;

Clears the current presentation's favorites list. This can be useful if using clean-screen mode.

window.external.wcclearhistory;

Clears the current presentation's history list. This can be useful if using clean-screen mode.

window.external.wcclearsearch;

Clears the current presentation's search list. This can be useful if using clean-screen mode.

window.external.wcrun("filename.ext");

Executes the file or document specified in the parameter. The file is assumed to have been "compiled in" and is located relative to the current HTML page. The file is extracted in to the user's temporary directory and then executed (or the associated application is started). If possible the file is deleted after the associated application terminates, but this is not always possible if for example the user closes your presentation down before closing the other application.

Note if you are writing this in pure HTML rather than in a WYSIWYG HTML Editor the part in brackets will probably need to be specified with &quot; rather than the actual " characters, like window.external.wcrun(&quot;filename.ext&quot;);

Note also that if you want to include a \ (to use a subdirectory for example) then you need to code it as two \\. For example window.external.wcrun(&quot;subdirectory\\filename.ext&quot;);

window.external.wcshellexternal("filename.ext");

Executes the external file specified in the parameter. The file is assumed to be located relative to the location of the compiled presentation. You can include path information such as window.external.wcshellexternal("software\installer.exe"); if you want. You can also specify documents and other types of files, and the associated application will be launched.

Note if you are writing this in pure HTML rather than in a WYSIWYG HTML Editor the part in brackets will probably need to be specified with &quot; rather than the actual " characters, like window.external.wcshellexternal(&quot;filename.ext&quot;);

Note also that if you want to include a \ (to use a subdirectory for example) then you need to code it as two \\. For example window.external.wcrun(&quot;subdirectory\\filename.ext&quot;);

window.external.wcdisablesearch; and window.external.wcenablesearch;

These commands disable and enable searching by showing or hiding the search button commands. Note that to have searching capability in your presentation you still need to specify searching as enabled in the project manager, otherwise the search dictionaries will not be built. These commands can be useful if you want to disable searching until the user has entered a valid password. To achieve this add some JavaScript to call the disablesearch command on your first page, then re-enable it on the page you go to when the user enters a valid password.

window.external.wcsetprintheader("What you want for the header") and window.external.wcsetprintfooter("footer data");

These commands allow you to change the header and footer that appear when printing.

Note you can also use varaibles which are replaced by run-time information, like the date, page number etc.. To do this use the following variables in the header or footer string you specify...

To print this | Use this
Window title | &w
Page address (URL) | &u
Date in short format (as specified by Regional Settings in Control Panel) | &d
Date in long format (as specified by Regional Settings in Control Panel) | &D
Time in the format specified by Regional Settings in Control Panel | &t
Time in 24-hour format | &T
Current page number | &p
Total number of pages | &P
Right-aligned text (following &b) | &b
Centered text (between &b&b) | &b&b
A single ampersand (&) | &&

window.external.wchome;

Navigates back to the presentation's "home page".

window.external.wcprint;

Issues the print command. Useful from kiosk mode;

window.external.wcprintsetup;

Issues the print setup command. You may however not be able to see the resultant dialog if you are in kiosk mode, as that forces "always on top" and the dialog may appear behind it.

window.external.wcminimize;

Minimizes the presentation.

window.external.playaudio("audiofilename.ext");

Plays the audio file specified using it's own internal player rather than popping up Windows Media Player. The file can be of nay type supported by the user's system, i.e. .wav, .mp3, .mid etc. The file also keeps playing if the user changes pages, so can be useful for overall background music etc.

window.external.stopaudio;

Stops any audio currently being played by the presentation's internal audio player.


The internal search engine

WebCompiler has a very powerful internal search engine that can search across thousands of pages in a very short period of time. It does this by pre-building string dictionaries during the compilation phase which are included with the presentation and then referenced to determine which pages contain words requested in the search.

Turning on the search engine is optional, because including these search dictionaries necessarily increases the size of the presentation, an overhead you may not want if you don't want to provide search capabilities to the end user.

The user can access the search engine from the menu and toolbar, or you can also provide access to the search engine from your own pages, using a Javascript extension. Basically you need to call the Javascript window.external.wcexecutesearch command with a parameter of the search you want the search engine to execute. For example to search for the word WebCompiler in your presentation you would use the command window.external.wcexecutesearch("WebCompiler");

You would more likely want to give the user a text field to type his search terms in to, and maybe a button to initiate the search. In this way you can make your pages look like familiar Internet search engines if you want to.

The following example HTML will add a simple text box and button to your page to drive the search engine. Simply copy this HTML into your page where you want it -

<SCRIPT>
function runsearch(term)
{
window.external.wcexecutesearch(term);
return false;
}
</SCRIPT>

<form name="form1" method="post" action="">
<p>
<input type="text" name="textfield">
</p>
<p>
<input type="button" name="Search" value="Run Search" ONCLICK="runsearch(textfield.value)">
</p>
</form>

You can of course make this as sophisticated as you want.


Calling the compiler from your own software

Calling the compiler independently

The WebCompiler 2 compilation engine is actually a stand alone program that is called by the WebCompiler 2 Project Manager to perform the actual compilation.

If you want, you can call the compiler independently from your own software (perhaps on a Web Server). To do so you simply need to execute the wccompiler.exe program with a parameter giving the full path to the WebCompiler 2 options file that describes the compilation it should undertake.

The WebCompiler 2 options file is a plain text file. If you have used the WebCompiler 2 Project Manager you will have saved one or more options files from there (they by default have the .wcoptions suffix). You can open one in a text editor to see the content. You can modify the content of this file before compilation as you need.


Generating Usernames and passwords

To generate usernames and passwords you need to use the WebCompiler2 Password Generator that you will find in the WebCompiler 2 project group in your Start Menu.

A word about Usernames and Passwords.

A common misuunderstanding is that you can choose a password for a page. You can't. It doesn't work like that.

You select a username for a particular page, and the matching password is generated algorithmically.

If you want to give the same password to everybody then give them all the same usernames.


Decrypting Feedback

To decrypt data that has been returned to you encrypted from a form in your presentation use the WebCompiler 2 Feedback Decryptor that you will find in the WebCompiler 2 Program Group in your Start Menu.

If you use copy and paste rather than loading the encrypted data from a file be careful not to accidentally copy an extra space or carriage return.

Decryption does take a few seconds, that's one of the problems with Dual-Key Cryptography, it is very secure but somewhat processor intensive. WebCompiler 2 uses the RSA dual Key Algorithm. To learn more about Dual Key Cryptography and the RSA Algorith a good place to start is http://www.rsasecurity.com/

If you want to include decryption of returned data as part of your own e-commerce solution or similar you should be able to do so with little trouble, there is nothing special about the WebCompiler 2 implementation of the RSA algorithm. The keys are held in the .wcoptions opetions file for the project (which you should keep secure for obvious reasons!).


Ordering X2Net BrowserPal

Ordering WebCompiler 2

The price of a license to use WebCompiler 2 on a single PC is currently 99 US Dollars, plus any applicable taxes (basically UK VAT at 17.5% if you are resident in a member state of the European Economic Community).

At the time of writing this was equal to around 60 Pounds Sterling or around 90 Euros, although of course exchange rates will fluctuate over time. You can get an up to date exchange rate from the www.xe.com web site.

You can order WebCompiler 2 on-line at our Web Site using a credit card, or you can order by contacting the sales office using the contact details given at the web site. We can accept payment in US Dollars, United Kingdom Pounds Sterling or the Euro.

To order, go to the Help menu in a running copy of the WebCompiler 2 Project Manager and select the Order command, or go to www.x2net.com/webcompiler/order.htm

Providing your credit card details are validated and the charge is authorized your license key and sales receipt will then be be displayed. Please save it or print it out for your reference. A copy will also be sent to the e-mail address you provide. Note that we do not ship anything by mail.


Frequently Asked Questions

Q | I've got a question that isn't in this list of Frequently Asked Questions
A | There may be more recent questions at the WebCompiler2 Web Site at http://www.x2net.com - try looking there.
Q | Are there any royalties to be paid for distributing presentations I create?
A | No, all presentations you create are completely royalty free.
Q | I see there is a slightly newer version of WebCompiler 2 available. Can I just download it and install it over the top of my existing version?
A | Yes. As with all software installations you should make sure you have a current backup. We don't expect any problems with installation of newer versions, but it is simply good computing practice. If you already have a licensed copy and the new version you have seen has the same major version number then it is a free upgrade (refer to the Upgrade Policy topic for full details).
Q | If I right-click in my presentation and select View Source I get to see the source HTML, I thought I wasn't supposed to be able to!
A | Internet Explorer is a bit dumb. It is actually finding the source HTML on your hard disk! The end user won't have that. Try it on another machine to prove it to yourself. Or alternatively temporarily rename your source folder and try again, it won't find it then.
Q | What is the maximum presentation size?
A | 2 Gigabytes.
Q | If I create a large presentation does it mean my user needs a lot of memory to run it?
A | No. Windows doesn't work like that. Windows/WebCompiler will only load as much of the executable as it needs to get started, and then fetches other parts as it needs them, disposing of parts it no longer needs.
Q | Is there any support for Active Server Pages?
A | No. Something is needed to generate the pages, and there is no way WebCompiler can know what to do.
Q | Do you have a Unix or Mac or Alpha version of this product?
A | No, Microsoft Windows on the 32-bit Intel Platform only. We have no plans to produce anything for other platforms. Sorry.
Q | Do you have a version that works with Netscape/Mozilla/Opera?
A | No. We have no plans to produce one.
Q | I've lost the source files for my presentation. Is there any way to decompile the presentation to get back to the source?
A | No, afraid not. Whilst it would be technically possible to do so it would involve an awful lot of work which we don't intend to undertake.
Q | Does Internet Explorer 4 have to be the user's default browser?
A | No.
Q | I keep all my images in a sibling directory off the directory the homepage is in, so WebCompiler isn't picking them up. Is there anything I can do to save reorganising it all.
A | Yes. Specify that directory on the "Directories" tab in the Project Manager.
Q | I get "out of resources" problems and Access Violations at startup and I've never managed to get WebCompiler 2 running.
A | This is probably your video driver. Try switching to a Microsoft generic video driver using Windows Setup and see if the problem goes away. If it does you need to contact your video card manufacturer for a new driver.


Troubleshooting

Troubleshooting a problem

Don't panic! Remember that all technical problems, no matter how bizarre they may seem, have a cause and a solution. By patiently applying a logical approach, you can often identify the source of the problem and fix it yourself. In general, try simplifying your PC's setup until the problem is no longer present. Then, incrementally restore the original setup, testing to see which component makes the problem recur. Be careful!

Initially, try to establish:

Is the problem most likely arising within WebCompiler?

  • If it's an WebCompiler issue check out the Frequently Asked Questions in this help file, the answer may well be there. Also make sure you understand how WebCompiler works and in particular how it interacts with the Internet Explorer web browser. Have a good read of this Help File to make sure you understand how WebCompiler is designed to work.

Is it a Windows problem?

  • Has it only just started happening? Try rebooting, does that fix it or does it continue happening? Have you installed any new software that might have affected it?

Is it a hardware problem having to do with your PC or its peripherals or have you made any recent changes to your system configuration that might be responsible for the problem?

  • Have you installed any new hardware recently? If you suspect a hardware or configuration problem click the Start button and choose Help for troubleshooting information


Warranty

This software is supplied as is without warranty or representation either express or implied with respect to the program or its documentation including their quality, performance, merchantability, or fitness for a particular purpose.

In no event will X2Net Limited or any of its agents or assigns, or any organization distributing WebCompiler 2 on its behalf be liable for direct, indirect, special, incidental, or consequential damages arising out of the use of, or inability to use the program.

All trademarks are acknowledged.


Getting Support

For support please visit our online support forum at the X2Net web site at http://www.x2net.com/bb

Other contact information is also available at the Web Site.


Upgrade Policy

The code for the licensed and evaluation versions of this program are identical. entering a license name/code pair provided on purchase causes the program to behave in a licensed fashion and not time out after the trial period.

The supplied license name/code pair will also cause any further versions of the program that still bear the 2.xx release number to behave as licensed versions, wherever you obtain them from. Versions that bear the 2.xx release number will generally be for minor enhancements and bug-fixes. Any release containing major new functionality will bear the release number 3.xx, and an upgrade fee will probably be chargeable.

The prime locations for new releases is our Internet site at http://www.x2net.com


System Requirements

WebCompiler 2 will run on any system running Windows 95,98, ME, NT4, 2000 or XP or later. It requires Internet Explorer version 4 or above.

The created presentation has the same requirements.

Note that if you use ActiveX controls, plug-ins etc. in your presentation then the end-user will also require those components. WebCompiler does not carry around those controls. (It would not be feasible, there are thousands of them!)


Contact Information

Full contact information for X2Net Limited can be found at the X2Net Web Site at http://www.x2net.com

We don't put contact information in here because phone numbers change, addresses change as offices move etc. etc.. The Web Site information is always up to date.


License

END-USER LICENSE AGREEMENT FOR WebCompiler 2

AGREEMENT

The use of this program indicates your understanding and acceptance of the following terms and conditions. This license shall supersede any verbal or written statement or agreement to the contrary. If you do not understand or accept these terms you must cease using this product immediately.

COPYRIGHT

This product is © Copyright 2003 by X2Net Limited. This product is protected by United Kingdom copyright law and various international treaties.

DISCLAIMER

This product and/or license is provided as is, without any representation or warranty of any kind, either express or implied, including without limitation any representations or endorsements regarding the use of, the results of, or performance of the product, its appropriateness, accuracy, reliability, or correctness. The entire risk as to the use of this product is assumed by the user and/or licensee. X2Net Limited does not assume liability for the use of this product beyond the original purchase price of the software. In no event will X2Net Limited be liable for additional direct or indirect damages including any loss of profits or other incidental or consequential damages arising from any defects, or the use or inability to use the software, even if X2Net Limited has been advised of the possibility of such damages.

RESTRICTIONS

You may not use, copy, modify, translate, or transfer the software, documentation, or any copy except as expressly defined in this agreement. You may not attempt to unlock or bypass any licensing algorithm utilized by the program. You may not remove or modify any copyright notices.

LICENSING AND DISTRIBUTION

You may freely distribute this program without prior reference to us.

You may use an unlicensed copy of this program for evaluation purposes only. Presentations created with an unlicensed copy of this software may not be distributed.

Once you have purchased a license you will receive a license key which will enable you to produce distributable presentations. There are no further royalty fees required.

YOU MAY NOT DISTRIBUTE LICENSE KEYS, HOWEVER OBTAINED, THEY ARE FOR THE LICENSEE'S USE ONLY. ANY KEYS SO DISTRIBUTED WILL BE INVALIDATED AND WILL NOT BE REPLACED.

Note the software is licensed, not sold. In licensing the software you do not acquire any rights beyond the right to continue to use the software on the system for which you purchased the license.

You may also transfer the license to another system at any time. You may not use a single license to enable usage on more than one system.

TERMS

This license is effective until terminated. You may terminate it by destroying the software, the documentation and copies thereof. This license will also terminate if you fail to comply with any terms or conditions of this agreement. You agree upon such termination to destroy all copies of the program and of the documentation, or return them to X2Net Limited.

OTHER RIGHTS

All other rights not specifically granted in this license are reserved by X2Net Limited.